Bug 1420396 - libcec: python3-libcec-4.0.2-1 requires both Python 2 and Python 3
Summary: libcec: python3-libcec-4.0.2-1 requires both Python 2 and Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libcec
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2017-02-08 14:48 UTC by Iryna Shcherbina
Modified: 2017-03-08 13:54 UTC (History)
1 user (show)

Fixed In Version: libcec-4.0.2-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-08 13:54:59 UTC


Attachments (Terms of Use)
Patch to fix python3-libcec dragging in Python 2 (1.22 KB, application/mbox)
2017-02-23 17:14 UTC, Iryna Shcherbina
no flags Details

Description Iryna Shcherbina 2017-02-08 14:48:36 UTC
The python3-libcec-4.0.2-1 RPM requires both Python 2 and Python 3.

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Peter Robinson 2017-02-09 08:02:52 UTC
A patch would be very welcome

Comment 2 Iryna Shcherbina 2017-02-23 17:14:37 UTC
Created attachment 1256987 [details]
Patch to fix python3-libcec dragging in Python 2

Hello Peter,

the change needed to fix the issue is attached. Please review and apply.

Koji scratch build with the change: https://koji.fedoraproject.org/koji/taskinfo?taskID=18015443

Comment 3 Fedora Update System 2017-02-23 23:40:19 UTC
libcec-4.0.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9fd3bd0228

Comment 4 Fedora Update System 2017-02-25 01:52:06 UTC
libcec-4.0.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9fd3bd0228

Comment 5 Fedora End Of Life 2017-02-28 11:13:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Fedora Update System 2017-03-08 13:54:59 UTC
libcec-4.0.2-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.